List constraints
Lists what policies may restrict, ordered by ID.
GET
Lists what policies may restrict, ordered by ID.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
pageSize?integerMaximum number to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
constraints*array<>Constraints, ordered by ID.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/constraints'Example Response
{
"constraints": [
{
"category": "guardrail",
"defaultMax": 0,
"description": "string",
"displayName": "string",
"entitlement": "string",
"maxValue": 0,
"minValue": 0,
"name": "string",
"organizationOnly": true,
"type": "boolean",
"unit": "string",
"values": [
{
"displayName": "string",
"value": "string"
}
]
}
],
"nextPageToken": "string"
}